#!/bin/bash
# 获取脚本所在目录
SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
# 切换到项目根目录
cd "$SCRIPT_DIR/.."

opt -load build/ProprocessFunctionPass.so -add-project-metadata -project-name=Bunker < combine_output/projectA.bc > proprocess_output/projectA_tagged.bc
opt -load build/ProprocessFunctionPass.so -add-project-metadata -project-name=Target < combine_output/projectB.bc > proprocess_output/projectB_tagged.bc
llvm-link proprocess_output/projectA_tagged.bc proprocess_output/projectB_tagged.bc -o proprocess_output/combined_tagged.bc
llvm-dis proprocess_output/combined_tagged.bc -o proprocess_output/combined_tagged.ll